using UnityEngine;
using mgaia.Utils.LayerSystem;

namespace mgaia.tk2d.TouchEffects
{
	/// <summary>
	/// Efeito que modifica a cor do botao para um valor customizavel quando tocado.
	/// </summary>
    [RequireComponent(typeof(ITouchable))]
    public class tk2dCustomColorEffect : tk2dAbstractColorEffect
    {
        public Color TextColor, SpriteColor;

        protected override Color GetFinalSpriteColor(Color initialColor)
        {
            return SpriteColor;
        }

        protected override Color GetFinalTextColor(Color initialColor)
        {
            return TextColor;
        }
    }
}